Skip site navigation (1) Skip section navigation (2)

Re: bajar la version 7.4.6 en rpm listo pararedhat 7.3

From: Edgard Pineda <epineda(at)newtenberg(dot)com>
To: pgsql-es-ayuda(at)postgresql(dot)org
Subject: Re: bajar la version 7.4.6 en rpm listo pararedhat 7.3
Date: 2004-11-25 16:36:49
Message-ID: 1101400608.15937.33.camel@aukinko.ntg.cl (view raw or flat)
Thread:
Lists: pgsql-es-ayuda
El jue, 25-11-2004 a las 13:04, Alvaro Herrera escribió:
> On Thu, Nov 25, 2004 at 12:48:00PM -0300, Edgard Pineda wrote:
> 
> > ImportError: No module named distutils
>                                ^^^^^^^^^^
> 
> > me faltará algún modulo en el python o rpm?... o algo más grave:
> > necesito una versión mayor de python (no creo, al ver el .spec se ve que
> > verifica versión...) ??
> 
> En python 2 viene incorporado, pero en 1.5 tienes que instalarlo aparte.

lo que hice por ahora y como no uso python en postgresql, edité el .spec
y el define de python lo dejé en 0. Luego encontré otros problemas para
lograr compilarlo en redhat 7.3, e hice las siguientes modificaciones:

[root(at)localhost root]# diff redhat9/postgresql-7.4.6-2PGDG.spec
/usr/src/redhat/SPECS
0a1
> %define build7x 1
13c14
< %{?build7x:%define kerbdir "/usr"}
---
> %{?build7x:%define kerbdir "/usr/kerberos"}
31c32
< %{!?python:%define python 1}
---
> %{!?python:%define python 0}
[root(at)localhost root]#

lo primero fue para avisarle que es para redhat 7.x
luego hay problemas por el direc. de kerberos (tambien se puede eliminar
esa línea, en vez de agregar kerberos al direc.)
luego deshabilité python

y... chachan!! y funcionó! ;)

Saludos,
Edgard.


In response to

Responses

pgsql-es-ayuda by date

Next:From: Jaime CasanovaDate: 2004-11-25 16:39:29
Subject: Re: Canal de IRC
Previous:From: Edwin QuijadaDate: 2004-11-25 16:35:47
Subject: RE: Pasar de una version superior a inferior (exportar datos)

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group